Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.gpuflux.jocl
Class JOCLDevice

    java.lang.Object
      de.grogra.gpuflux.jocl.JOCLDevice

    public class JOCLDevice

extends java.lang.Object

Method Summary
`java.lang.String` | `deviceTypeToString(long type)`
`void` | `executeKernel(JOCLKernel joclKernel, int stream_size)`
`void` | `executeKernel(JOCLKernel kernel, int n, org.jocl.cl_event event)`
`void` | `finalize()`
`void` | `finish()`
`java.nio.ByteOrder` | `getByteOrder()`
`org.jocl.cl_device_id` | `getClDevice()`
`static org.jocl.cl_device_id[]` | `getDevices(org.jocl.cl_platform_id platform_id)`
`long` | `getDeviceType()`
`static long` | `getDeviceType(org.jocl.cl_device_id device)`
`java.lang.String[]` | `getExtensionList()`
`java.lang.String` | `getExtensions()`
`java.lang.String` | `getIdentifier()`
`static java.lang.String` | `getIdentifier(org.jocl.cl_device_id program_device)`
`java.lang.String` | `getName()`
`static org.jocl.cl_platform_id` | `getPlatform(org.jocl.cl_device_id device_id)`
`java.lang.String` | `getVendor()`
`java.lang.String` | `getVersion()`
`boolean` | `isLittleEndian()`
`static boolean` | `isLittleEndian(org.jocl.cl_device_id device)`
`void` | `readBuffer(JOCLBuffer buffer, byte[] out)`
`void` | `readBuffer(JOCLBuffer buffer, int[] out)`
`static boolean` | `supportsExtensions(org.jocl.cl_device_id device_id, java.lang.String[] extensions)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### deviceTypeToString

    public java.lang.String deviceTypeToString(long type)

### executeKernel

    public void executeKernel(JOCLKernel joclKernel,
                              int stream_size)

### executeKernel

    public void executeKernel(JOCLKernel kernel,
                              int n,
                              org.jocl.cl_event event)

### finalize

    public void finalize()
                  throws java.lang.Throwable

  Overrides:
    `finalize` in class `java.lang.Object`
  Throws:
    `java.lang.Throwable`

### finish

    public void finish()

### getByteOrder

    public java.nio.ByteOrder getByteOrder()

### getClDevice

    public org.jocl.cl_device_id getClDevice()

### getDevices

    public static org.jocl.cl_device_id[] getDevices(org.jocl.cl_platform_id platform_id)

### getDeviceType

    public long getDeviceType()

### getDeviceType

    public static long getDeviceType(org.jocl.cl_device_id device)

### getExtensionList

    public java.lang.String[] getExtensionList()

### getExtensions

    public java.lang.String getExtensions()

### getIdentifier

    public java.lang.String getIdentifier()

### getIdentifier

    public static java.lang.String getIdentifier(org.jocl.cl_device_id program_device)

### getName

    public java.lang.String getName()

### getPlatform

    public static org.jocl.cl_platform_id getPlatform(org.jocl.cl_device_id device_id)

### getVendor

    public java.lang.String getVendor()

### getVersion

    public java.lang.String getVersion()

### isLittleEndian

    public boolean isLittleEndian()

### isLittleEndian

    public static boolean isLittleEndian(org.jocl.cl_device_id device)

### readBuffer

    public void readBuffer(JOCLBuffer buffer,
                           byte[] out)

### readBuffer

    public void readBuffer(JOCLBuffer buffer,
                           int[] out)

### supportsExtensions

    public static boolean supportsExtensions(org.jocl.cl_device_id device_id,
                                             java.lang.String[] extensions)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD